Package com.emc.d2fs.models.markup

# Class Markup

java.lang.Object
com.emc.d2fs.models.markup.Markup

All Implemented Interfaces:
  `Serializable`

public class Markup extends Object implements Serializable

Java class for Markup complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="Markup">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="URI" type="{http://www.w3.org/2001/XMLSchema}anyURI"/>
             <element name="Author" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Title" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Date" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="AvailableForEdit" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="AvailableForReview" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="Readable" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="Editable" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Markup()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAuthor()`
  Gets the value of the author property.
  `String`
  `getDate()`
  Gets the value of the date property.
  `String`
  `getTitle()`
  Gets the value of the title property.
  `String`
  `getURI()`
  Gets the value of the uri property.
  `boolean`
  `isAvailableForEdit()`
  Gets the value of the availableForEdit property.
  `boolean`
  `isAvailableForReview()`
  Gets the value of the availableForReview property.
  `boolean`
  `isEditable()`
  Gets the value of the editable property.
  `boolean`
  `isReadable()`
  Gets the value of the readable property.
  `void`
  `setAuthor(String value)`
  Sets the value of the author property.
  `void`
  `setAvailableForEdit(boolean value)`
  Sets the value of the availableForEdit property.
  `void`
  `setAvailableForReview(boolean value)`
  Sets the value of the availableForReview property.
  `void`
  `setDate(String value)`
  Sets the value of the date property.
  `void`
  `setEditable(boolean value)`
  Sets the value of the editable property.
  `void`
  `setReadable(boolean value)`
  Sets the value of the readable property.
  `void`
  `setTitle(String value)`
  Sets the value of the title property.
  `void`
  `setURI(String value)`
  Sets the value of the uri property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Markup

    public Markup()

- ## Method Details

  - ### getURI

    public String getURI()
    Gets the value of the uri property.
    Returns:
      possible object is `String`

  - ### setURI

    public void setURI(String value)
    Sets the value of the uri property.
    Parameters:
      `value` - allowed object is `String`

  - ### getAuthor

    public String getAuthor()
    Gets the value of the author property.
    Returns:
      possible object is `String`

  - ### setAuthor

    public void setAuthor(String value)
    Sets the value of the author property.
    Parameters:
      `value` - allowed object is `String`

  - ### getTitle

    public String getTitle()
    Gets the value of the title property.
    Returns:
      possible object is `String`

  - ### setTitle

    public void setTitle(String value)
    Sets the value of the title property.
    Parameters:
      `value` - allowed object is `String`

  - ### getDate

    public String getDate()
    Gets the value of the date property.
    Returns:
      possible object is `String`

  - ### setDate

    public void setDate(String value)
    Sets the value of the date property.
    Parameters:
      `value` - allowed object is `String`

  - ### isAvailableForEdit

    public boolean isAvailableForEdit()
    Gets the value of the availableForEdit property.

  - ### setAvailableForEdit

    public void setAvailableForEdit(boolean value)
    Sets the value of the availableForEdit property.

  - ### isAvailableForReview

    public boolean isAvailableForReview()
    Gets the value of the availableForReview property.

  - ### setAvailableForReview

    public void setAvailableForReview(boolean value)
    Sets the value of the availableForReview property.

  - ### isReadable

    public boolean isReadable()
    Gets the value of the readable property.

  - ### setReadable

    public void setReadable(boolean value)
    Sets the value of the readable property.

  - ### isEditable

    public boolean isEditable()
    Gets the value of the editable property.

  - ### setEditable

    public void setEditable(boolean value)
    Sets the value of the editable property.